import akka.actor.*;

public class Sample {
 public static void main(String[] args) throws Exception {
   ActorSystem actorSystem = ActorSystem.create();
  
   System.out.println("Main running in " + Thread.currentThread());
   
   ActorRef depp = actorSystem.actorOf(new Props(HollywoodActor.class));
   ActorRef hanks = actorSystem.actorOf(new Props(HollywoodActor.class));
  
   depp.tell("Sparrow");
   System.out.println("Requested to play Sparrow");
   hanks.tell("Gump");
   System.out.println("Requested to play Gump");

   depp.tell("Wonka");
   System.out.println("Requested to play Wonka");
   depp.tell("Lovell");
   System.out.println("Requested to play Lovell");
   
  actorSystem.shutdown(); 
 }
}
